PySide2 (Qt for python) installation on Jetson Xavier

Qt is not officially supported on embedded platforms (said the Qt official website).
I tried pip install PySide2 and apt-get install python3-pyside2 but both failed.
Is there a way to build it from source?
Appreciate if anyone would provide any experience :)

Hi,
The posts may help:



Please take a look.

1 Like

Hi DaneLLL,
Appreciate for your reply.
I’ll work with these methods, see if they also worked on Jetson Xavier.

This issue was finally resolved, thanks to DaneLLL’s help.
Here is the method to build Qt5 (and then PySide2 if you need Qt for Python) from source on Jetson devices:

  1. Download Qt source:
    if you need the whole Qt5 (~900MB):

    wget http://master.qt.io/archive/qt/5.15/5.15.2/single/qt-everywhere-src-5.15.2.tar.xz

    or
    qtbase (basic module such as QtCore, QtGui and QtWidget)(~90MB):

    wget http://master.qt.io/archive/qt/5.15/5.15.2/submodules/qtbase-everywhere-src-5.15.2.tar.xz

  2. configure and install Qt5 (here I used qtbase):

    tar -xpf qtbase-everywhere-src-5.15.2.tar.xz
    cd qtbase-everywhere-src-5.15.2/
    ./configure -xcb

    (must enable xcb here manually)
    Choose “o” to install Qt open source version.

    make -j4
    sudo make install

  3. Now we have Qt5 under /usr/local/Qt-5.15.2

  4. Before install PySide2, first we have to deal with some requirements:
    General requirements: Python: 3.5+, Qt: 5.12+, libclang: version10, CMake:3.1+, llvm: version10

    Here I personally suggest use synaptic to manage library:

    sudo apt-get install synaptic

    Then install the correct version of libclang and llvm via synaptic.

  5. Download and build PySide2:

    git clone http://code.qt.io/pyside/pyside-setup.git
    cd pyside-setup/
    git checkout 5.15.2

    I’m not sure whether the version of Qt5 and PySide2 must match. Anyway, here I used PySide2 5.12.2

    Finally, to install PySide2:

    sudo python setup.py install --qmake=/usr/local/Qt-5.15.2/bin/qmake

    (qmake is automatically installed with Qt5)

  6. Try PySide2 in Python:

    python
    from PySide2 import *

1 Like

Hi, when I try to run

sudo python setup.py install --qmake=/usr/local/Qt-5.15.2/bin/qmake

I got this error:

– LLVM_CONFIG: /usr/local/bin/llvm-config
CMake Error at data/shiboken_helpers.cmake:180 (message):
Unable to find the Clang library in /usr/local. Names tried: clang,
libclang.so, libclang.so.1.
Call Stack (most recent call first):
CMakeLists.txt:39 (setup_clang)

– Configuring incomplete, errors occurred!
See also “/home/xavier/pyside-setup/pyside3_build/py3.6-qt5.15.2-64bit-release/shiboken2/CMakeFiles/CMakeOutput.log”.
error: Error configuring shiboken2
Traceback (most recent call last):
File “setup.py”, line 296, in
setup_runner.run_setup()
File “/home/xavier/pyside-setup/build_scripts/setup_runner.py”, line 168, in run_setup
raise RuntimeError(msg)
RuntimeError:
setup.py invocation failed with exit code: 1.

Do you have any idea?
Thank you

Hi Ayuchan,
Not expert here, but there seems something wrong with clang and llvm.
See if you have them by using

dpkg -l | grep clang
dpkg -l | grep llvm

Make sure you have all general requirements: Python : 3.5+, Qt : 5.12+, libclang : version10, CMake :3.1+, llvm : version10
In step 4 of my previous reply, use sudo synaptic to open this APP, then install libclang and llvm. Note this process is done via GUI rather than command line.

Thank you very much, it works.